import { system, world } from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('pa:altar_trigger', {
    onPlayerInteract: e => {
      const { block, player } = e;
      const heldItem = player.getComponent("equippable").getEquipment("Mainhand");

      if (block.typeId === "pa:altar_de_ender" && heldItem?.typeId === "pa:totem_de_ciudadela_rota") {
        player.runCommand(`function ciudadela_rota`);
        world.sendMessage(`§l§9Echoing Void§r§7: "En las profundidades del End, una ciudadela antigua yace oculta... en §a434 59 464§7. ¿Qué secretos y tesoros esconde su estructura en ruinas? La búsqueda comienza..."`);
        e.cancel = true;
      }
    }
  });
});